#region Copyright Syncfusion Inc. 2001 - 2015
//
//  Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

namespace ButtonEditDemo
{
	using System;
	using System.Drawing;
	using System.Collections;
	using System.ComponentModel;
	using System.Windows.Forms;
	using System.Data;
	using Syncfusion.Windows.Forms.Tools;
	using Syncfusion.Windows.Forms;
    using System.Drawing.Drawing2D;

	/// <summary>
	/// Summary description for MainForm.
	/// </summary>
	public class MainForm : MetroForm
	{
		private System.Windows.Forms.ErrorProvider errorProvider1;

		private Hashtable hashLabelNames;
        public Color startcolor = Color.LightGreen;
        public Color endcolor = Color.Green;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.GroupBox groupBox2;

		private Syncfusion.Windows.Forms.PopupControlContainer popupControlContainer1;
		private Syncfusion.Windows.Forms.Tools.GradientLabel gradientLabel1;
		private System.Windows.Forms.GroupBox groupBox5;
		private System.Windows.Forms.GroupBox groupBox3;
		private System.Windows.Forms.TextBox textBox2;
		private Syncfusion.Windows.Forms.Tools.TabControlAdv tabControl1;
        private Syncfusion.Windows.Forms.Tools.TabPageAdv tabPage1;
        private Syncfusion.Windows.Forms.Tools.TabPageAdv tabPage2;
		private System.Windows.Forms.ImageList imageList1;
        private System.Windows.Forms.GroupBox groupBox4;
        private ButtonEdit buttonEdit1;
        private ButtonEditChildButton buttonEditChildButton1;
        private TextBoxExt textBoxExt1;
        private ButtonEdit buttonEdit3;
        private ButtonEditChildButton buttonEditChildButton3;
        private TextBoxExt textBoxExt3;
        private ButtonEdit buttonEdit2;
        private ButtonEditChildButton buttonEditChildButton2;
        private TextBoxExt textBoxExt2;
        private ButtonEdit buttonEdit7;
        private ButtonEditChildButton buttonEditChildButton13;
        private ButtonEditChildButton buttonEditChildButton14;
        private ButtonEditChildButton buttonEditChildButton15;
        private ButtonEditChildButton buttonEditChildButton16;
        private TextBoxExt textBoxExt7;
        private ButtonEdit buttonEdit6;
        private ButtonEditChildButton buttonEditChildButton10;
        private ButtonEditChildButton buttonEditChildButton11;
        private ButtonEditChildButton buttonEditChildButton12;
        private TextBoxExt textBoxExt6;
        private ButtonEdit buttonEdit5;
        private ButtonEditChildButton buttonEditChildButton7;
        private ButtonEditChildButton buttonEditChildButton8;
        private ButtonEditChildButton buttonEditChildButton9;
        private TextBoxExt textBoxExt5;
        private ButtonEdit buttonEdit4;
        private ButtonEditChildButton buttonEditChildButton4;
        private ButtonEditChildButton buttonEditChildButton5;
        private ButtonEditChildButton buttonEditChildButton6;
        private TextBoxExt textBoxExt4;
        private GradientPanel gradientPanel1;
        private ImageList imageList2;
		private System.ComponentModel.IContainer components;

		public MainForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
            try
            {
                System.Drawing.Icon ico = new System.Drawing.Icon(GetIconFile(@"common\Images\Grid\Icon\sfgrid.ico"));
                this.Icon = ico;
            }
            catch { }
            this.Resize += new EventHandler(MainForm_Resize);
           
			//
			// TODO: Add any constructor code after InitializeComponent call
			//
			hashLabelNames = new Hashtable();
			this.popupControlContainer1.ParentControl = this.buttonEdit3.TextBox;
			this.popupControlContainer1.PopupParent = this.buttonEdit3;
			this.buttonEdit3.TextBox.HandleDestroyed += new EventHandler(this.DropDownParentTextBoxDestroyed);
		}

        void MainForm_Resize(object sender, EventArgs e)
        {
            if (WindowState == FormWindowState.Maximized)
            {
                this.groupBox1.Location = new Point(475, 247);
                this.groupBox2.Location = new Point(475, 69);
                this.groupBox5.Location = new Point(475, 436);
                this.groupBox4.Location = new Point(381, 180);
               
            }
            else
            {
                this.groupBox1.Location = new Point(175, 147);
                this.groupBox2.Location = new Point(175, 69);
                this.groupBox5.Location = new Point(175, 236);
                this.groupBox4.Location = new Point(81, 80);
            }
        }
        private string GetIconFile(string bitmapName)
        {
            for (int n = 0; n < 10; n++)
            {
                if (System.IO.File.Exists(bitmapName))
                    return bitmapName;

                bitmapName = @"..\" + bitmapName;
            }

            return bitmapName;
        }

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		private void DropDownParentTextBoxDestroyed(object sender, EventArgs args)
		{
			if(popupControlContainer1 != null)
				this.popupControlContainer1.ParentControl = null;
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(MainForm));
            this.errorProvider1 = new System.Windows.Forms.ErrorProvider(this.components);
            this.groupBox1 = new System.Windows.Forms.GroupBox();
            this.buttonEdit2 = new Syncfusion.Windows.Forms.Tools.ButtonEdit();
            this.buttonEditChildButton2 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
            this.imageList1 = new System.Windows.Forms.ImageList(this.components);
            this.textBoxExt2 = new Syncfusion.Windows.Forms.Tools.TextBoxExt();
            this.groupBox2 = new System.Windows.Forms.GroupBox();
            this.buttonEdit1 = new Syncfusion.Windows.Forms.Tools.ButtonEdit();
            this.buttonEditChildButton1 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
            this.textBoxExt1 = new Syncfusion.Windows.Forms.Tools.TextBoxExt();
            this.popupControlContainer1 = new Syncfusion.Windows.Forms.PopupControlContainer();
            this.gradientLabel1 = new Syncfusion.Windows.Forms.Tools.GradientLabel();
            this.groupBox5 = new System.Windows.Forms.GroupBox();
            this.buttonEdit3 = new Syncfusion.Windows.Forms.Tools.ButtonEdit();
            this.buttonEditChildButton3 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
            this.textBoxExt3 = new Syncfusion.Windows.Forms.Tools.TextBoxExt();
            this.groupBox3 = new System.Windows.Forms.GroupBox();
            this.textBox2 = new System.Windows.Forms.TextBox();
            this.tabControl1 = new Syncfusion.Windows.Forms.Tools.TabControlAdv();
            this.tabPage1 = new Syncfusion.Windows.Forms.Tools.TabPageAdv();
            this.tabPage2 = new Syncfusion.Windows.Forms.Tools.TabPageAdv();
            this.groupBox4 = new System.Windows.Forms.GroupBox();
            this.buttonEdit7 = new Syncfusion.Windows.Forms.Tools.ButtonEdit();
            this.buttonEditChildButton13 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
            this.buttonEditChildButton14 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
            this.buttonEditChildButton15 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
            this.buttonEditChildButton16 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
            this.textBoxExt7 = new Syncfusion.Windows.Forms.Tools.TextBoxExt();
            this.buttonEdit6 = new Syncfusion.Windows.Forms.Tools.ButtonEdit();
            this.buttonEditChildButton10 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
            this.buttonEditChildButton11 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
            this.buttonEditChildButton12 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
            this.textBoxExt6 = new Syncfusion.Windows.Forms.Tools.TextBoxExt();
            this.buttonEdit5 = new Syncfusion.Windows.Forms.Tools.ButtonEdit();
            this.buttonEditChildButton7 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
            this.buttonEditChildButton8 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
            this.buttonEditChildButton9 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
            this.textBoxExt5 = new Syncfusion.Windows.Forms.Tools.TextBoxExt();
            this.buttonEdit4 = new Syncfusion.Windows.Forms.Tools.ButtonEdit();
            this.buttonEditChildButton4 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
            this.buttonEditChildButton5 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
            this.buttonEditChildButton6 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
            this.textBoxExt4 = new Syncfusion.Windows.Forms.Tools.TextBoxExt();
            this.gradientPanel1 = new Syncfusion.Windows.Forms.Tools.GradientPanel();
            this.imageList2 = new System.Windows.Forms.ImageList(this.components);
            ((System.ComponentModel.ISupportInitialize)(this.errorProvider1)).BeginInit();
            this.groupBox1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.buttonEdit2)).BeginInit();
            this.buttonEdit2.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.textBoxExt2)).BeginInit();
            this.groupBox2.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.buttonEdit1)).BeginInit();
            this.buttonEdit1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.textBoxExt1)).BeginInit();
            this.popupControlContainer1.SuspendLayout();
            this.groupBox5.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.buttonEdit3)).BeginInit();
            this.buttonEdit3.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.textBoxExt3)).BeginInit();
            this.groupBox3.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.tabControl1)).BeginInit();
            this.tabControl1.SuspendLayout();
            this.tabPage1.SuspendLayout();
            this.tabPage2.SuspendLayout();
            this.groupBox4.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.buttonEdit7)).BeginInit();
            this.buttonEdit7.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.textBoxExt7)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.buttonEdit6)).BeginInit();
            this.buttonEdit6.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.textBoxExt6)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.buttonEdit5)).BeginInit();
            this.buttonEdit5.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.textBoxExt5)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.buttonEdit4)).BeginInit();
            this.buttonEdit4.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.textBoxExt4)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.gradientPanel1)).BeginInit();
            this.gradientPanel1.SuspendLayout();
            this.SuspendLayout();
            // 
            // errorProvider1
            // 
            this.errorProvider1.ContainerControl = this;
            this.errorProvider1.Icon = ((System.Drawing.Icon)(resources.GetObject("errorProvider1.Icon")));
            // 
            // groupBox1
            // 
            this.groupBox1.BackColor = System.Drawing.Color.White;
            this.groupBox1.Controls.Add(this.buttonEdit2);
            this.groupBox1.Location = new System.Drawing.Point(175, 147);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new System.Drawing.Size(264, 48);
            this.groupBox1.TabIndex = 8;
            this.groupBox1.TabStop = false;
            this.groupBox1.Text = "FolderBrowser";
            // 
            // buttonEdit2
            // 
            this.buttonEdit2.BeforeTouchSize = new System.Drawing.Size(121, 23);
            this.buttonEdit2.Buttons.Add(this.buttonEditChildButton2);
            this.buttonEdit2.ButtonStyle = Syncfusion.Windows.Forms.ButtonAppearance.Metro;
            this.buttonEdit2.Controls.Add(this.buttonEditChildButton2);
            this.buttonEdit2.Controls.Add(this.textBoxExt2);
            this.buttonEdit2.Location = new System.Drawing.Point(72, 14);
            this.buttonEdit2.MetroColor = System.Drawing.Color.DeepSkyBlue;
            this.buttonEdit2.Name = "buttonEdit2";
            this.buttonEdit2.Size = new System.Drawing.Size(121, 23);
            this.buttonEdit2.TabIndex = 0;
            this.buttonEdit2.TextBox = this.textBoxExt2;
            this.buttonEdit2.UseVisualStyle = true;
            this.buttonEdit2.ButtonClicked += new Syncfusion.Windows.Forms.Tools.ButtonClickedEventHandler(this.buttonEdit1_ButtonClicked);
            // 
            // buttonEditChildButton2
            // 
            this.buttonEditChildButton2.BackColor = System.Drawing.Color.DeepSkyBlue;
            this.buttonEditChildButton2.BeforeTouchSize = new System.Drawing.Size(18, 19);
            this.buttonEditChildButton2.BorderStyleAdv = Syncfusion.Windows.Forms.ButtonAdvBorderStyle.Flat;
            this.buttonEditChildButton2.ComboEditBackColor = System.Drawing.SystemColors.Window;
            this.buttonEditChildButton2.ForeColor = System.Drawing.Color.White;
            this.buttonEditChildButton2.Image = ((System.Drawing.Image)(resources.GetObject("buttonEditChildButton2.Image")));
            this.buttonEditChildButton2.ImageIndex = 7;
            this.buttonEditChildButton2.ImageList = this.imageList1;
            this.buttonEditChildButton2.IsBackStageButton = false;
            this.buttonEditChildButton2.Name = "buttonEditChildButton2";
            this.buttonEditChildButton2.PreferredWidth = 18;
            this.buttonEditChildButton2.TabIndex = 1;
            this.buttonEditChildButton2.Text = "buttonEditChildButton2";
            this.buttonEditChildButton2.Click += new System.EventHandler(this.buttonEditChildButton2_Click);
            // 
            // imageList1
            // 
            this.imageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList1.ImageStream")));
            this.imageList1.TransparentColor = System.Drawing.Color.Transparent;
            this.imageList1.Images.SetKeyName(0, "");
            this.imageList1.Images.SetKeyName(1, "");
            this.imageList1.Images.SetKeyName(2, "");
            this.imageList1.Images.SetKeyName(3, "");
            this.imageList1.Images.SetKeyName(4, "");
            this.imageList1.Images.SetKeyName(5, "");
            this.imageList1.Images.SetKeyName(6, "");
            this.imageList1.Images.SetKeyName(7, "");
            // 
            // textBoxExt2
            // 
            this.textBoxExt2.BeforeTouchSize = new System.Drawing.Size(63, 15);
            this.textBoxExt2.BorderStyle = System.Windows.Forms.BorderStyle.None;
            this.textBoxExt2.Cursor = System.Windows.Forms.Cursors.IBeam;
            this.textBoxExt2.Location = new System.Drawing.Point(2, 4);
            this.textBoxExt2.Metrocolor = System.Drawing.Color.Empty;
            this.textBoxExt2.Name = "textBoxExt2";
            this.textBoxExt2.OverflowIndicatorToolTipText = null;
            this.textBoxExt2.Size = new System.Drawing.Size(99, 15);
            this.textBoxExt2.Style = Syncfusion.Windows.Forms.Tools.TextBoxExt.theme.Default;
            this.textBoxExt2.TabIndex = 0;
            // 
            // groupBox2
            // 
            this.groupBox2.BackColor = System.Drawing.Color.White;
            this.groupBox2.Controls.Add(this.buttonEdit1);
            this.groupBox2.Location = new System.Drawing.Point(175, 69);
            this.groupBox2.Name = "groupBox2";
            this.groupBox2.Size = new System.Drawing.Size(264, 48);
            this.groupBox2.TabIndex = 9;
            this.groupBox2.TabStop = false;
            this.groupBox2.Text = "FileBrowser";
            this.groupBox2.Enter += new System.EventHandler(this.groupBox2_Enter);
            // 
            // buttonEdit1
            // 
            this.buttonEdit1.BeforeTouchSize = new System.Drawing.Size(121, 23);
            this.buttonEdit1.Buttons.Add(this.buttonEditChildButton1);
            this.buttonEdit1.ButtonStyle = Syncfusion.Windows.Forms.ButtonAppearance.Metro;
            this.buttonEdit1.Controls.Add(this.buttonEditChildButton1);
            this.buttonEdit1.Controls.Add(this.textBoxExt1);
            this.buttonEdit1.Location = new System.Drawing.Point(72, 14);
            this.buttonEdit1.MetroColor = System.Drawing.Color.DeepSkyBlue;
            this.buttonEdit1.Name = "buttonEdit1";
            this.buttonEdit1.Size = new System.Drawing.Size(121, 23);
            this.buttonEdit1.TabIndex = 0;
            this.buttonEdit1.TextBox = this.textBoxExt1;
            this.buttonEdit1.UseVisualStyle = true;
            this.buttonEdit1.ButtonClicked += new Syncfusion.Windows.Forms.Tools.ButtonClickedEventHandler(this.buttonEdit1_ButtonClicked);
            // 
            // buttonEditChildButton1
            // 
            this.buttonEditChildButton1.BackColor = System.Drawing.Color.DeepSkyBlue;
            this.buttonEditChildButton1.BeforeTouchSize = new System.Drawing.Size(18, 19);
            this.buttonEditChildButton1.BorderStyleAdv = Syncfusion.Windows.Forms.ButtonAdvBorderStyle.Flat;
            this.buttonEditChildButton1.ButtonType = Syncfusion.Windows.Forms.Tools.ButtonTypes.Browse;
            this.buttonEditChildButton1.ComboEditBackColor = System.Drawing.SystemColors.Window;
            this.buttonEditChildButton1.ForeColor = System.Drawing.Color.White;
            this.buttonEditChildButton1.Image = ((System.Drawing.Image)(resources.GetObject("buttonEditChildButton1.Image")));
            this.buttonEditChildButton1.IsBackStageButton = false;
            this.buttonEditChildButton1.Name = "buttonEditChildButton1";
            this.buttonEditChildButton1.PreferredWidth = 18;
            this.buttonEditChildButton1.TabIndex = 1;
            this.buttonEditChildButton1.Click += new System.EventHandler(this.buttonEditChildButton1_Click);
            // 
            // textBoxExt1
            // 
            this.textBoxExt1.BeforeTouchSize = new System.Drawing.Size(63, 15);
            this.textBoxExt1.BorderStyle = System.Windows.Forms.BorderStyle.None;
            this.textBoxExt1.Cursor = System.Windows.Forms.Cursors.IBeam;
            this.textBoxExt1.Location = new System.Drawing.Point(2, 4);
            this.textBoxExt1.Metrocolor = System.Drawing.Color.Empty;
            this.textBoxExt1.Name = "textBoxExt1";
            this.textBoxExt1.OverflowIndicatorToolTipText = null;
            this.textBoxExt1.Size = new System.Drawing.Size(99, 15);
            this.textBoxExt1.Style = Syncfusion.Windows.Forms.Tools.TextBoxExt.theme.Default;
            this.textBoxExt1.TabIndex = 0;
            // 
            // popupControlContainer1
            // 
            this.popupControlContainer1.Controls.Add(this.gradientLabel1);
            this.popupControlContainer1.Location = new System.Drawing.Point(522, 69);
            this.popupControlContainer1.Name = "popupControlContainer1";
            this.popupControlContainer1.Size = new System.Drawing.Size(169, 152);
            this.popupControlContainer1.TabIndex = 12;
            this.popupControlContainer1.Visible = false;
            // 
            // gradientLabel1
            // 
            this.gradientLabel1.BackgroundColor = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, System.Drawing.Color.FromArgb(((int)(((byte)(237)))), ((int)(((byte)(240)))), ((int)(((byte)(247))))), System.Drawing.SystemColors.ActiveCaption);
            this.gradientLabel1.BeforeTouchSize = new System.Drawing.Size(169, 152);
            this.gradientLabel1.BorderSides = ((System.Windows.Forms.Border3DSide)((((System.Windows.Forms.Border3DSide.Left | System.Windows.Forms.Border3DSide.Top) 
            | System.Windows.Forms.Border3DSide.Right) 
            | System.Windows.Forms.Border3DSide.Bottom)));
            this.gradientLabel1.BorderStyle = System.Windows.Forms.Border3DStyle.Bump;
            this.gradientLabel1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.gradientLabel1.Font = new System.Drawing.Font("Microsoft Sans Serif", 15.75F, ((System.Drawing.FontStyle)((System.Drawing.FontStyle.Bold | System.Drawing.FontStyle.Italic))), System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.gradientLabel1.Location = new System.Drawing.Point(0, 0);
            this.gradientLabel1.Name = "gradientLabel1";
            this.gradientLabel1.Size = new System.Drawing.Size(169, 152);
            this.gradientLabel1.TabIndex = 0;
            this.gradientLabel1.Text = "Syncfusion";
            this.gradientLabel1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            this.gradientLabel1.Click += new System.EventHandler(this.gradientLabel1_Click);
            // 
            // groupBox5
            // 
            this.groupBox5.BackColor = System.Drawing.Color.White;
            this.groupBox5.Controls.Add(this.buttonEdit3);
            this.groupBox5.Location = new System.Drawing.Point(175, 236);
            this.groupBox5.Name = "groupBox5";
            this.groupBox5.Size = new System.Drawing.Size(264, 56);
            this.groupBox5.TabIndex = 13;
            this.groupBox5.TabStop = false;
            this.groupBox5.Text = "DropDown";
            // 
            // buttonEdit3
            // 
            this.buttonEdit3.BeforeTouchSize = new System.Drawing.Size(121, 23);
            this.buttonEdit3.Buttons.Add(this.buttonEditChildButton3);
            this.buttonEdit3.ButtonStyle = Syncfusion.Windows.Forms.ButtonAppearance.Metro;
            this.buttonEdit3.Controls.Add(this.buttonEditChildButton3);
            this.buttonEdit3.Controls.Add(this.textBoxExt3);
            this.buttonEdit3.Location = new System.Drawing.Point(74, 20);
            this.buttonEdit3.MetroColor = System.Drawing.Color.DeepSkyBlue;
            this.buttonEdit3.Name = "buttonEdit3";
            this.buttonEdit3.Size = new System.Drawing.Size(121, 23);
            this.buttonEdit3.TabIndex = 0;
            this.buttonEdit3.TextBox = this.textBoxExt3;
            this.buttonEdit3.UseVisualStyle = true;
            this.buttonEdit3.ButtonClicked += new Syncfusion.Windows.Forms.Tools.ButtonClickedEventHandler(this.buttonEdit1_ButtonClicked);
            // 
            // buttonEditChildButton3
            // 
            this.buttonEditChildButton3.BackColor = System.Drawing.Color.DeepSkyBlue;
            this.buttonEditChildButton3.BeforeTouchSize = new System.Drawing.Size(18, 19);
            this.buttonEditChildButton3.BorderStyleAdv = Syncfusion.Windows.Forms.ButtonAdvBorderStyle.Flat;
            this.buttonEditChildButton3.ButtonType = Syncfusion.Windows.Forms.Tools.ButtonTypes.Down;
            this.buttonEditChildButton3.ComboEditBackColor = System.Drawing.SystemColors.Window;
            this.buttonEditChildButton3.ForeColor = System.Drawing.Color.White;
            this.buttonEditChildButton3.Image = ((System.Drawing.Image)(resources.GetObject("buttonEditChildButton3.Image")));
            this.buttonEditChildButton3.IsBackStageButton = false;
            this.buttonEditChildButton3.Name = "buttonEditChildButton3";
            this.buttonEditChildButton3.PreferredWidth = 18;
            this.buttonEditChildButton3.TabIndex = 1;
            this.buttonEditChildButton3.Click += new System.EventHandler(this.buttonEditChildButton3_Click);
            // 
            // textBoxExt3
            // 
            this.textBoxExt3.BeforeTouchSize = new System.Drawing.Size(63, 15);
            this.textBoxExt3.BorderStyle = System.Windows.Forms.BorderStyle.None;
            this.textBoxExt3.Cursor = System.Windows.Forms.Cursors.IBeam;
            this.textBoxExt3.Location = new System.Drawing.Point(2, 4);
            this.textBoxExt3.Metrocolor = System.Drawing.Color.DodgerBlue;
            this.textBoxExt3.Name = "textBoxExt3";
            this.textBoxExt3.OverflowIndicatorToolTipText = null;
            this.textBoxExt3.Size = new System.Drawing.Size(99, 15);
            this.textBoxExt3.Style = Syncfusion.Windows.Forms.Tools.TextBoxExt.theme.Default;
            this.textBoxExt3.TabIndex = 0;
            // 
            // groupBox3
            // 
            this.groupBox3.BackColor = System.Drawing.Color.White;
            this.groupBox3.Controls.Add(this.textBox2);
            this.groupBox3.Dock = System.Windows.Forms.DockStyle.Bottom;
            this.groupBox3.Location = new System.Drawing.Point(0, 319);
            this.groupBox3.Name = "groupBox3";
            this.groupBox3.Size = new System.Drawing.Size(752, 121);
            this.groupBox3.TabIndex = 14;
            this.groupBox3.TabStop = false;
            this.groupBox3.Text = "EventLog";
            // 
            // textBox2
            // 
            this.textBox2.BorderStyle = System.Windows.Forms.BorderStyle.None;
            this.textBox2.Dock = System.Windows.Forms.DockStyle.Fill;
            this.textBox2.Location = new System.Drawing.Point(3, 18);
            this.textBox2.Multiline = true;
            this.textBox2.Name = "textBox2";
            this.textBox2.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
            this.textBox2.Size = new System.Drawing.Size(746, 100);
            this.textBox2.TabIndex = 4;
            this.textBox2.TextChanged += new System.EventHandler(this.textBox2_TextChanged);
            // 
            // tabControl1
            // 
            this.tabControl1.AllowDrop = true;
            this.tabControl1.BeforeTouchSize = new System.Drawing.Size(755, 464);
            this.tabControl1.Controls.Add(this.tabPage1);
            this.tabControl1.Controls.Add(this.tabPage2);
            this.tabControl1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.tabControl1.Font = new System.Drawing.Font("Segoe UI", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tabControl1.Location = new System.Drawing.Point(0, 0);
            this.tabControl1.Multiline = true;
            this.tabControl1.Name = "tabControl1";
            this.tabControl1.Size = new System.Drawing.Size(755, 464);
            this.tabControl1.TabIndex = 15;
            this.tabControl1.TabPanelBackColor = System.Drawing.Color.White;
            this.tabControl1.TabStyle = typeof(Syncfusion.Windows.Forms.Tools.TabRendererMetro);
            // 
            // tabPage1
            // 
            this.tabPage1.BackColor = System.Drawing.Color.White;
            this.tabPage1.Controls.Add(this.groupBox2);
            this.tabPage1.Controls.Add(this.groupBox3);
            this.tabPage1.Controls.Add(this.popupControlContainer1);
            this.tabPage1.Controls.Add(this.groupBox5);
            this.tabPage1.Controls.Add(this.groupBox1);
            this.tabPage1.Image = null;
            this.tabPage1.ImageSize = new System.Drawing.Size(16, 16);
            this.tabPage1.Location = new System.Drawing.Point(1, 22);
            this.tabPage1.Name = "tabPage1";
            this.tabPage1.ShowCloseButton = true;
            this.tabPage1.Size = new System.Drawing.Size(752, 440);
            this.tabPage1.TabIndex = 3;
            this.tabPage1.Text = "DropDowns";
            this.tabPage1.ThemesEnabled = false;
            // 
            // tabPage2
            // 
            this.tabPage2.BackColor = System.Drawing.Color.White;
            this.tabPage2.Controls.Add(this.groupBox4);
            this.tabPage2.Image = null;
            this.tabPage2.ImageSize = new System.Drawing.Size(16, 16);
            this.tabPage2.Location = new System.Drawing.Point(1, 22);
            this.tabPage2.Name = "tabPage2";
            this.tabPage2.ShowCloseButton = true;
            this.tabPage2.Size = new System.Drawing.Size(752, 440);
            this.tabPage2.TabIndex = 1;
            this.tabPage2.Text = "ButtonTypes";
            this.tabPage2.ThemesEnabled = false;
            // 
            // groupBox4
            // 
            this.groupBox4.Controls.Add(this.buttonEdit7);
            this.groupBox4.Controls.Add(this.buttonEdit6);
            this.groupBox4.Controls.Add(this.buttonEdit5);
            this.groupBox4.Controls.Add(this.buttonEdit4);
            this.groupBox4.Location = new System.Drawing.Point(81, 80);
            this.groupBox4.Name = "groupBox4";
            this.groupBox4.Size = new System.Drawing.Size(581, 228);
            this.groupBox4.TabIndex = 14;
            this.groupBox4.TabStop = false;
            this.groupBox4.Text = "ButtonTypes";
            // 
            // buttonEdit7
            // 
            this.buttonEdit7.BeforeTouchSize = new System.Drawing.Size(121, 23);
            this.buttonEdit7.Buttons.Add(this.buttonEditChildButton13);
            this.buttonEdit7.Buttons.Add(this.buttonEditChildButton14);
            this.buttonEdit7.Buttons.Add(this.buttonEditChildButton15);
            this.buttonEdit7.Buttons.Add(this.buttonEditChildButton16);
            this.buttonEdit7.ButtonStyle = Syncfusion.Windows.Forms.ButtonAppearance.Metro;
            this.buttonEdit7.Controls.Add(this.buttonEditChildButton16);
            this.buttonEdit7.Controls.Add(this.buttonEditChildButton15);
            this.buttonEdit7.Controls.Add(this.buttonEditChildButton14);
            this.buttonEdit7.Controls.Add(this.buttonEditChildButton13);
            this.buttonEdit7.Controls.Add(this.textBoxExt7);
            this.buttonEdit7.Location = new System.Drawing.Point(353, 142);
            this.buttonEdit7.MetroColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEdit7.Name = "buttonEdit7";
            this.buttonEdit7.ShowTextBox = false;
            this.buttonEdit7.Size = new System.Drawing.Size(121, 23);
            this.buttonEdit7.TabIndex = 3;
            this.buttonEdit7.TextBox = this.textBoxExt7;
            this.buttonEdit7.UseVisualStyle = true;
            // 
            // buttonEditChildButton13
            // 
            this.buttonEditChildButton13.BackColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEditChildButton13.BeforeTouchSize = new System.Drawing.Size(18, 19);
            this.buttonEditChildButton13.BorderStyleAdv = Syncfusion.Windows.Forms.ButtonAdvBorderStyle.Flat;
            this.buttonEditChildButton13.ButtonType = Syncfusion.Windows.Forms.Tools.ButtonTypes.LeftEnd;
            this.buttonEditChildButton13.ComboEditBackColor = System.Drawing.SystemColors.Window;
            this.buttonEditChildButton13.ForeColor = System.Drawing.Color.White;
            this.buttonEditChildButton13.Image = ((System.Drawing.Image)(resources.GetObject("buttonEditChildButton13.Image")));
            this.buttonEditChildButton13.IsBackStageButton = false;
            this.buttonEditChildButton13.Name = "buttonEditChildButton13";
            this.buttonEditChildButton13.PreferredWidth = 18;
            this.buttonEditChildButton13.TabIndex = 1;
            // 
            // buttonEditChildButton14
            // 
            this.buttonEditChildButton14.BackColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEditChildButton14.BeforeTouchSize = new System.Drawing.Size(18, 19);
            this.buttonEditChildButton14.BorderStyleAdv = Syncfusion.Windows.Forms.ButtonAdvBorderStyle.Flat;
            this.buttonEditChildButton14.ButtonType = Syncfusion.Windows.Forms.Tools.ButtonTypes.RightEnd;
            this.buttonEditChildButton14.ComboEditBackColor = System.Drawing.SystemColors.Window;
            this.buttonEditChildButton14.ForeColor = System.Drawing.Color.White;
            this.buttonEditChildButton14.Image = ((System.Drawing.Image)(resources.GetObject("buttonEditChildButton14.Image")));
            this.buttonEditChildButton14.IsBackStageButton = false;
            this.buttonEditChildButton14.Name = "buttonEditChildButton14";
            this.buttonEditChildButton14.PreferredWidth = 18;
            this.buttonEditChildButton14.TabIndex = 2;
            // 
            // buttonEditChildButton15
            // 
            this.buttonEditChildButton15.BackColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEditChildButton15.BeforeTouchSize = new System.Drawing.Size(18, 19);
            this.buttonEditChildButton15.BorderStyleAdv = Syncfusion.Windows.Forms.ButtonAdvBorderStyle.Flat;
            this.buttonEditChildButton15.ButtonType = Syncfusion.Windows.Forms.Tools.ButtonTypes.Redo;
            this.buttonEditChildButton15.ComboEditBackColor = System.Drawing.SystemColors.Window;
            this.buttonEditChildButton15.ForeColor = System.Drawing.Color.White;
            this.buttonEditChildButton15.Image = ((System.Drawing.Image)(resources.GetObject("buttonEditChildButton15.Image")));
            this.buttonEditChildButton15.IsBackStageButton = false;
            this.buttonEditChildButton15.Name = "buttonEditChildButton15";
            this.buttonEditChildButton15.PreferredWidth = 18;
            this.buttonEditChildButton15.TabIndex = 3;
            // 
            // buttonEditChildButton16
            // 
            this.buttonEditChildButton16.BackColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEditChildButton16.BeforeTouchSize = new System.Drawing.Size(18, 19);
            this.buttonEditChildButton16.BorderStyleAdv = Syncfusion.Windows.Forms.ButtonAdvBorderStyle.Flat;
            this.buttonEditChildButton16.ButtonType = Syncfusion.Windows.Forms.Tools.ButtonTypes.Undo;
            this.buttonEditChildButton16.ComboEditBackColor = System.Drawing.SystemColors.Window;
            this.buttonEditChildButton16.ForeColor = System.Drawing.Color.White;
            this.buttonEditChildButton16.Image = ((System.Drawing.Image)(resources.GetObject("buttonEditChildButton16.Image")));
            this.buttonEditChildButton16.IsBackStageButton = false;
            this.buttonEditChildButton16.Name = "buttonEditChildButton16";
            this.buttonEditChildButton16.PreferredWidth = 18;
            this.buttonEditChildButton16.TabIndex = 4;
            // 
            // textBoxExt7
            // 
            this.textBoxExt7.BeforeTouchSize = new System.Drawing.Size(63, 15);
            this.textBoxExt7.BorderStyle = System.Windows.Forms.BorderStyle.None;
            this.textBoxExt7.Location = new System.Drawing.Point(2, 4);
            this.textBoxExt7.Metrocolor = System.Drawing.Color.Empty;
            this.textBoxExt7.Name = "textBoxExt7";
            this.textBoxExt7.OverflowIndicatorToolTipText = null;
            this.textBoxExt7.Size = new System.Drawing.Size(45, 15);
            this.textBoxExt7.Style = Syncfusion.Windows.Forms.Tools.TextBoxExt.theme.Default;
            this.textBoxExt7.TabIndex = 0;
            this.textBoxExt7.Text = "buttonEdit7";
            // 
            // buttonEdit6
            // 
            this.buttonEdit6.BeforeTouchSize = new System.Drawing.Size(121, 23);
            this.buttonEdit6.Buttons.Add(this.buttonEditChildButton10);
            this.buttonEdit6.Buttons.Add(this.buttonEditChildButton11);
            this.buttonEdit6.Buttons.Add(this.buttonEditChildButton12);
            this.buttonEdit6.ButtonStyle = Syncfusion.Windows.Forms.ButtonAppearance.Metro;
            this.buttonEdit6.Controls.Add(this.buttonEditChildButton12);
            this.buttonEdit6.Controls.Add(this.buttonEditChildButton11);
            this.buttonEdit6.Controls.Add(this.buttonEditChildButton10);
            this.buttonEdit6.Controls.Add(this.textBoxExt6);
            this.buttonEdit6.Location = new System.Drawing.Point(118, 142);
            this.buttonEdit6.MetroColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEdit6.Name = "buttonEdit6";
            this.buttonEdit6.ShowTextBox = false;
            this.buttonEdit6.Size = new System.Drawing.Size(121, 23);
            this.buttonEdit6.TabIndex = 2;
            this.buttonEdit6.TextBox = this.textBoxExt6;
            this.buttonEdit6.UseVisualStyle = true;
            // 
            // buttonEditChildButton10
            // 
            this.buttonEditChildButton10.BackColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEditChildButton10.BeforeTouchSize = new System.Drawing.Size(18, 19);
            this.buttonEditChildButton10.BorderStyleAdv = Syncfusion.Windows.Forms.ButtonAdvBorderStyle.Flat;
            this.buttonEditChildButton10.ButtonType = Syncfusion.Windows.Forms.Tools.ButtonTypes.Left;
            this.buttonEditChildButton10.ComboEditBackColor = System.Drawing.SystemColors.Window;
            this.buttonEditChildButton10.ForeColor = System.Drawing.Color.White;
            this.buttonEditChildButton10.Image = ((System.Drawing.Image)(resources.GetObject("buttonEditChildButton10.Image")));
            this.buttonEditChildButton10.IsBackStageButton = false;
            this.buttonEditChildButton10.Name = "buttonEditChildButton10";
            this.buttonEditChildButton10.PreferredWidth = 18;
            this.buttonEditChildButton10.TabIndex = 1;
            // 
            // buttonEditChildButton11
            // 
            this.buttonEditChildButton11.BackColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEditChildButton11.BeforeTouchSize = new System.Drawing.Size(18, 19);
            this.buttonEditChildButton11.BorderStyleAdv = Syncfusion.Windows.Forms.ButtonAdvBorderStyle.Flat;
            this.buttonEditChildButton11.ButtonType = Syncfusion.Windows.Forms.Tools.ButtonTypes.Right;
            this.buttonEditChildButton11.ComboEditBackColor = System.Drawing.SystemColors.Window;
            this.buttonEditChildButton11.ForeColor = System.Drawing.Color.White;
            this.buttonEditChildButton11.Image = ((System.Drawing.Image)(resources.GetObject("buttonEditChildButton11.Image")));
            this.buttonEditChildButton11.IsBackStageButton = false;
            this.buttonEditChildButton11.Name = "buttonEditChildButton11";
            this.buttonEditChildButton11.PreferredWidth = 18;
            this.buttonEditChildButton11.TabIndex = 2;
            // 
            // buttonEditChildButton12
            // 
            this.buttonEditChildButton12.BackColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEditChildButton12.BeforeTouchSize = new System.Drawing.Size(18, 19);
            this.buttonEditChildButton12.BorderStyleAdv = Syncfusion.Windows.Forms.ButtonAdvBorderStyle.Flat;
            this.buttonEditChildButton12.ButtonType = Syncfusion.Windows.Forms.Tools.ButtonTypes.Check;
            this.buttonEditChildButton12.ComboEditBackColor = System.Drawing.SystemColors.Window;
            this.buttonEditChildButton12.ForeColor = System.Drawing.Color.White;
            this.buttonEditChildButton12.Image = ((System.Drawing.Image)(resources.GetObject("buttonEditChildButton12.Image")));
            this.buttonEditChildButton12.IsBackStageButton = false;
            this.buttonEditChildButton12.Name = "buttonEditChildButton12";
            this.buttonEditChildButton12.PreferredWidth = 18;
            this.buttonEditChildButton12.TabIndex = 3;
            // 
            // textBoxExt6
            // 
            this.textBoxExt6.BeforeTouchSize = new System.Drawing.Size(63, 15);
            this.textBoxExt6.BorderStyle = System.Windows.Forms.BorderStyle.None;
            this.textBoxExt6.Location = new System.Drawing.Point(2, 4);
            this.textBoxExt6.Metrocolor = System.Drawing.Color.Empty;
            this.textBoxExt6.Name = "textBoxExt6";
            this.textBoxExt6.OverflowIndicatorToolTipText = null;
            this.textBoxExt6.Size = new System.Drawing.Size(63, 15);
            this.textBoxExt6.Style = Syncfusion.Windows.Forms.Tools.TextBoxExt.theme.Default;
            this.textBoxExt6.TabIndex = 0;
            this.textBoxExt6.Text = "buttonEdit6";
            // 
            // buttonEdit5
            // 
            this.buttonEdit5.BeforeTouchSize = new System.Drawing.Size(121, 23);
            this.buttonEdit5.Buttons.Add(this.buttonEditChildButton7);
            this.buttonEdit5.Buttons.Add(this.buttonEditChildButton8);
            this.buttonEdit5.Buttons.Add(this.buttonEditChildButton9);
            this.buttonEdit5.ButtonStyle = Syncfusion.Windows.Forms.ButtonAppearance.Metro;
            this.buttonEdit5.Controls.Add(this.buttonEditChildButton9);
            this.buttonEdit5.Controls.Add(this.buttonEditChildButton8);
            this.buttonEdit5.Controls.Add(this.buttonEditChildButton7);
            this.buttonEdit5.Controls.Add(this.textBoxExt5);
            this.buttonEdit5.Location = new System.Drawing.Point(351, 76);
            this.buttonEdit5.MetroColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEdit5.Name = "buttonEdit5";
            this.buttonEdit5.ShowTextBox = false;
            this.buttonEdit5.Size = new System.Drawing.Size(121, 23);
            this.buttonEdit5.TabIndex = 1;
            this.buttonEdit5.TextBox = this.textBoxExt5;
            this.buttonEdit5.UseVisualStyle = true;
            // 
            // buttonEditChildButton7
            // 
            this.buttonEditChildButton7.BackColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEditChildButton7.BeforeTouchSize = new System.Drawing.Size(18, 19);
            this.buttonEditChildButton7.BorderStyleAdv = Syncfusion.Windows.Forms.ButtonAdvBorderStyle.Flat;
            this.buttonEditChildButton7.ComboEditBackColor = System.Drawing.SystemColors.Window;
            this.buttonEditChildButton7.ForeColor = System.Drawing.Color.White;
            this.buttonEditChildButton7.Image = ((System.Drawing.Image)(resources.GetObject("buttonEditChildButton7.Image")));
            this.buttonEditChildButton7.ImageIndex = 1;
            this.buttonEditChildButton7.ImageList = this.imageList1;
            this.buttonEditChildButton7.IsBackStageButton = false;
            this.buttonEditChildButton7.Name = "buttonEditChildButton7";
            this.buttonEditChildButton7.PreferredWidth = 18;
            this.buttonEditChildButton7.TabIndex = 1;
            this.buttonEditChildButton7.Text = "buttonEditChildButton7";
            // 
            // buttonEditChildButton8
            // 
            this.buttonEditChildButton8.BackColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEditChildButton8.BeforeTouchSize = new System.Drawing.Size(18, 19);
            this.buttonEditChildButton8.BorderStyleAdv = Syncfusion.Windows.Forms.ButtonAdvBorderStyle.Flat;
            this.buttonEditChildButton8.ComboEditBackColor = System.Drawing.SystemColors.Window;
            this.buttonEditChildButton8.ForeColor = System.Drawing.Color.White;
            this.buttonEditChildButton8.Image = ((System.Drawing.Image)(resources.GetObject("buttonEditChildButton8.Image")));
            this.buttonEditChildButton8.ImageIndex = 2;
            this.buttonEditChildButton8.ImageList = this.imageList1;
            this.buttonEditChildButton8.IsBackStageButton = false;
            this.buttonEditChildButton8.Name = "buttonEditChildButton8";
            this.buttonEditChildButton8.PreferredWidth = 18;
            this.buttonEditChildButton8.TabIndex = 2;
            this.buttonEditChildButton8.Text = "buttonEditChildButton8";
            // 
            // buttonEditChildButton9
            // 
            this.buttonEditChildButton9.BackColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEditChildButton9.BeforeTouchSize = new System.Drawing.Size(18, 19);
            this.buttonEditChildButton9.BorderStyleAdv = Syncfusion.Windows.Forms.ButtonAdvBorderStyle.Flat;
            this.buttonEditChildButton9.ComboEditBackColor = System.Drawing.SystemColors.Window;
            this.buttonEditChildButton9.ForeColor = System.Drawing.Color.White;
            this.buttonEditChildButton9.Image = ((System.Drawing.Image)(resources.GetObject("buttonEditChildButton9.Image")));
            this.buttonEditChildButton9.ImageIndex = 3;
            this.buttonEditChildButton9.ImageList = this.imageList1;
            this.buttonEditChildButton9.IsBackStageButton = false;
            this.buttonEditChildButton9.Name = "buttonEditChildButton9";
            this.buttonEditChildButton9.PreferredWidth = 18;
            this.buttonEditChildButton9.TabIndex = 3;
            this.buttonEditChildButton9.Text = "buttonEditChildButton9";
            // 
            // textBoxExt5
            // 
            this.textBoxExt5.BeforeTouchSize = new System.Drawing.Size(63, 15);
            this.textBoxExt5.BorderStyle = System.Windows.Forms.BorderStyle.None;
            this.textBoxExt5.Location = new System.Drawing.Point(2, 4);
            this.textBoxExt5.Metrocolor = System.Drawing.Color.Empty;
            this.textBoxExt5.Name = "textBoxExt5";
            this.textBoxExt5.OverflowIndicatorToolTipText = null;
            this.textBoxExt5.Size = new System.Drawing.Size(63, 15);
            this.textBoxExt5.Style = Syncfusion.Windows.Forms.Tools.TextBoxExt.theme.Default;
            this.textBoxExt5.TabIndex = 0;
            this.textBoxExt5.Text = "buttonEdit5";
            // 
            // buttonEdit4
            // 
            this.buttonEdit4.BeforeTouchSize = new System.Drawing.Size(121, 23);
            this.buttonEdit4.Buttons.Add(this.buttonEditChildButton4);
            this.buttonEdit4.Buttons.Add(this.buttonEditChildButton5);
            this.buttonEdit4.Buttons.Add(this.buttonEditChildButton6);
            this.buttonEdit4.ButtonStyle = Syncfusion.Windows.Forms.ButtonAppearance.Metro;
            this.buttonEdit4.Controls.Add(this.buttonEditChildButton6);
            this.buttonEdit4.Controls.Add(this.buttonEditChildButton5);
            this.buttonEdit4.Controls.Add(this.buttonEditChildButton4);
            this.buttonEdit4.Controls.Add(this.textBoxExt4);
            this.buttonEdit4.Location = new System.Drawing.Point(118, 76);
            this.buttonEdit4.MetroColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEdit4.Name = "buttonEdit4";
            this.buttonEdit4.ShowTextBox = false;
            this.buttonEdit4.Size = new System.Drawing.Size(121, 23);
            this.buttonEdit4.TabIndex = 0;
            this.buttonEdit4.TextBox = this.textBoxExt4;
            this.buttonEdit4.UseVisualStyle = true;
            // 
            // buttonEditChildButton4
            // 
            this.buttonEditChildButton4.BackColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEditChildButton4.BeforeTouchSize = new System.Drawing.Size(18, 19);
            this.buttonEditChildButton4.BorderStyleAdv = Syncfusion.Windows.Forms.ButtonAdvBorderStyle.Flat;
            this.buttonEditChildButton4.ButtonType = Syncfusion.Windows.Forms.Tools.ButtonTypes.Down;
            this.buttonEditChildButton4.ComboEditBackColor = System.Drawing.SystemColors.Window;
            this.buttonEditChildButton4.ForeColor = System.Drawing.Color.White;
            this.buttonEditChildButton4.Image = ((System.Drawing.Image)(resources.GetObject("buttonEditChildButton4.Image")));
            this.buttonEditChildButton4.IsBackStageButton = false;
            this.buttonEditChildButton4.Name = "buttonEditChildButton4";
            this.buttonEditChildButton4.PreferredWidth = 18;
            this.buttonEditChildButton4.TabIndex = 1;
            // 
            // buttonEditChildButton5
            // 
            this.buttonEditChildButton5.BackColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEditChildButton5.BeforeTouchSize = new System.Drawing.Size(18, 19);
            this.buttonEditChildButton5.BorderStyleAdv = Syncfusion.Windows.Forms.ButtonAdvBorderStyle.Flat;
            this.buttonEditChildButton5.ButtonType = Syncfusion.Windows.Forms.Tools.ButtonTypes.Up;
            this.buttonEditChildButton5.ComboEditBackColor = System.Drawing.SystemColors.Window;
            this.buttonEditChildButton5.ForeColor = System.Drawing.Color.White;
            this.buttonEditChildButton5.Image = ((System.Drawing.Image)(resources.GetObject("buttonEditChildButton5.Image")));
            this.buttonEditChildButton5.IsBackStageButton = false;
            this.buttonEditChildButton5.Name = "buttonEditChildButton5";
            this.buttonEditChildButton5.PreferredWidth = 18;
            this.buttonEditChildButton5.TabIndex = 2;
            // 
            // buttonEditChildButton6
            // 
            this.buttonEditChildButton6.BackColor = System.Drawing.SystemColors.MenuHighlight;
            this.buttonEditChildButton6.BeforeTouchSize = new System.Drawing.Size(18, 19);
            this.buttonEditChildButton6.BorderStyleAdv = Syncfusion.Windows.Forms.ButtonAdvBorderStyle.Flat;
            this.buttonEditChildButton6.ButtonType = Syncfusion.Windows.Forms.Tools.ButtonTypes.Currency;
            this.buttonEditChildButton6.ComboEditBackColor = System.Drawing.SystemColors.Window;
            this.buttonEditChildButton6.ForeColor = System.Drawing.Color.White;
            this.buttonEditChildButton6.Image = ((System.Drawing.Image)(resources.GetObject("buttonEditChildButton6.Image")));
            this.buttonEditChildButton6.IsBackStageButton = false;
            this.buttonEditChildButton6.Name = "buttonEditChildButton6";
            this.buttonEditChildButton6.PreferredWidth = 18;
            this.buttonEditChildButton6.TabIndex = 3;
            // 
            // textBoxExt4
            // 
            this.textBoxExt4.BeforeTouchSize = new System.Drawing.Size(63, 15);
            this.textBoxExt4.BorderStyle = System.Windows.Forms.BorderStyle.None;
            this.textBoxExt4.Location = new System.Drawing.Point(2, 4);
            this.textBoxExt4.Metrocolor = System.Drawing.Color.Empty;
            this.textBoxExt4.Name = "textBoxExt4";
            this.textBoxExt4.OverflowIndicatorToolTipText = null;
            this.textBoxExt4.Size = new System.Drawing.Size(63, 15);
            this.textBoxExt4.Style = Syncfusion.Windows.Forms.Tools.TextBoxExt.theme.Default;
            this.textBoxExt4.TabIndex = 0;
            this.textBoxExt4.Text = "buttonEdit4";
            // 
            // gradientPanel1
            // 
            this.gradientPanel1.BorderColor = System.Drawing.Color.Gray;
            this.gradientPanel1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.gradientPanel1.Controls.Add(this.tabControl1);
            this.gradientPanel1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.gradientPanel1.Location = new System.Drawing.Point(10, 10);
            this.gradientPanel1.Name = "gradientPanel1";
            this.gradientPanel1.Size = new System.Drawing.Size(757, 466);
            this.gradientPanel1.TabIndex = 16;
            // 
            // imageList2
            // 
            this.imageList2.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList2.ImageStream")));
            this.imageList2.TransparentColor = System.Drawing.Color.Transparent;
            this.imageList2.Images.SetKeyName(0, "");
            // 
            // MainForm
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 15);
            this.BackColor = System.Drawing.Color.White;
            this.BorderColor = System.Drawing.SystemColors.MenuHighlight;
            this.ClientSize = new System.Drawing.Size(777, 486);
            this.Controls.Add(this.gradientPanel1);
            this.DropShadow = true;
            this.Font = new System.Drawing.Font("Segoe UI", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.MinimumSize = new System.Drawing.Size(789, 518);
            this.Name = "MainForm";
            this.Padding = new System.Windows.Forms.Padding(10);
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "Buttons";
            this.Load += new System.EventHandler(this.MainForm_Load);
            ((System.ComponentModel.ISupportInitialize)(this.errorProvider1)).EndInit();
            this.groupBox1.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.buttonEdit2)).EndInit();
            this.buttonEdit2.ResumeLayout(false);
            this.buttonEdit2.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.textBoxExt2)).EndInit();
            this.groupBox2.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.buttonEdit1)).EndInit();
            this.buttonEdit1.ResumeLayout(false);
            this.buttonEdit1.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.textBoxExt1)).EndInit();
            this.popupControlContainer1.ResumeLayout(false);
            this.groupBox5.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.buttonEdit3)).EndInit();
            this.buttonEdit3.ResumeLayout(false);
            this.buttonEdit3.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.textBoxExt3)).EndInit();
            this.groupBox3.ResumeLayout(false);
            this.groupBox3.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.tabControl1)).EndInit();
            this.tabControl1.ResumeLayout(false);
            this.tabPage1.ResumeLayout(false);
            this.tabPage2.ResumeLayout(false);
            this.groupBox4.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.buttonEdit7)).EndInit();
            this.buttonEdit7.ResumeLayout(false);
            this.buttonEdit7.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.textBoxExt7)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.buttonEdit6)).EndInit();
            this.buttonEdit6.ResumeLayout(false);
            this.buttonEdit6.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.textBoxExt6)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.buttonEdit5)).EndInit();
            this.buttonEdit5.ResumeLayout(false);
            this.buttonEdit5.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.textBoxExt5)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.buttonEdit4)).EndInit();
            this.buttonEdit4.ResumeLayout(false);
            this.buttonEdit4.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.textBoxExt4)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.gradientPanel1)).EndInit();
            this.gradientPanel1.ResumeLayout(false);
            this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		public static void Main() 
		{
			Application.Run(new MainForm());
		}

		

		private void menuItem2_Click(object sender, System.EventArgs e)
		{
			Application.Exit();
		}
		#region File
		public void buttonEditChildButton1_Click(object sender, System.EventArgs e)
		{
			//<samplecodeblock name="ButtonEdit ChildButtonClick">
			//buttonEditChildButton1_Click
			OpenFileDialog dlg = new OpenFileDialog(); 
			dlg.Title = "Open file" ; 
			dlg.InitialDirectory = "c:\\" ; 
			dlg.Filter = "All files (*.*)|*.*" ; 
          
			if(dlg.ShowDialog() == DialogResult.OK)  
				this.buttonEdit1.TextBox.Text = dlg.FileName; 
			//</samplecodeblock>
		}
		#endregion

		#region Folder
		private void buttonEditChildButton2_Click(object sender, System.EventArgs e)
		{
			FolderBrowser browse = new FolderBrowser();
			browse.FolderBrowserCallback += new FolderBrowserCallbackEventHandler(buttonEditChildButton2_Browsed);
			browse.ShowDialog(this);
		}
		#endregion

		#region buttonEditChildButton2_Browsed
		private void buttonEditChildButton2_Browsed(object sender, FolderBrowserCallbackEventArgs e)
		{
			this.buttonEdit2.TextBox.Text = e.Path;
		}
		#endregion
		#region ShowpopUp

		private void buttonEditChildButton3_Click(object sender, System.EventArgs e)
		{
			if(this.popupControlContainer1.IsShowing() == true)
			{
				this.popupControlContainer1.HidePopup(PopupCloseType.Done);
			}
			else
			{
				this.popupControlContainer1.PopupParent = this.buttonEdit3;
				this.popupControlContainer1.ShowPopup(Point.Empty);
			}
		}
		#endregion

		#region samplecodeblock
		private void CodeGen_InitializeComponent()
		{
			//<samplecodeblock name="ButtonEdit InitializeComponent">
			// InitializeComponent sample
			this.buttonEdit1 = new Syncfusion.Windows.Forms.Tools.ButtonEdit();

			this.buttonEditChildButton1 = new Syncfusion.Windows.Forms.Tools.ButtonEditChildButton();
			this.buttonEdit1.SuspendLayout();
			this.SuspendLayout();

			this.buttonEdit1.Buttons.Add(this.buttonEditChildButton1);
			this.buttonEdit1.Controls.AddRange(new System.Windows.Forms.Control[] {
																					  this.buttonEditChildButton1});
			this.buttonEdit1.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.buttonEdit1.Location = new System.Drawing.Point(8, 16);
			this.buttonEdit1.Name = "buttonEdit1";
			this.buttonEdit1.SelectionLength = 0;
			this.buttonEdit1.SelectionStart = 0;
			this.buttonEdit1.ShowTextBox = true;
			this.buttonEdit1.Size = new System.Drawing.Size(368, 22);
			this.buttonEdit1.TabIndex = 0;
			this.buttonEdit1.TextAlign = System.Windows.Forms.HorizontalAlignment.Left;
			// 
			// buttonEditChildButton1
			// 
			this.buttonEditChildButton1.ButtonAlign = Syncfusion.Windows.Forms.Tools.ButtonAlignment.Right;
			this.buttonEditChildButton1.ButtonEditParent = this.buttonEdit1;
			this.buttonEditChildButton1.ButtonType = Syncfusion.Windows.Forms.Tools.ButtonTypes.Browse;
			this.buttonEditChildButton1.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.buttonEditChildButton1.Name = "buttonEditChildButton1";
			this.buttonEditChildButton1.PreferredWidth = 16;
			this.buttonEditChildButton1.TabIndex = 1;
			this.buttonEditChildButton1.Click += new System.EventHandler(this.buttonEditChildButton1_Click);
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(400, 273);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {	  this.buttonEdit1});
			this.Text = "Syncfusion ButtonEdit Demo";
			this.buttonEdit1.ResumeLayout(false);
			this.ResumeLayout(false);
			//</samplecodeblock>
		}
		#endregion

        #region buttonEdit1_ButtonClicked
		private void buttonEdit1_ButtonClicked(object sender, Syncfusion.Windows.Forms.Tools.ButtonClickedEventArgs args)
		{
			string item = args.ClickedButton.Name;
			string eventlogmessage = String.Format("Event: {0} Item: {1}\r\n", "ButtonClicked", item);
			textBox2.Text = textBox2.Text + eventlogmessage;
		}
		#endregion

		private void MainForm_Load(object sender, System.EventArgs e)
		{
		
		}

		private void gradientLabel1_Click(object sender, System.EventArgs e)
		{
		
		}

		private void textBox2_TextChanged(object sender, System.EventArgs e)
		{

        }

        private void tableLayoutPanel1_Paint(object sender, PaintEventArgs e)
        {

        }

        private void groupBox6_Enter(object sender, EventArgs e)
        {

        }

        private void groupBox2_Enter(object sender, EventArgs e)
        {

        }

       
        private void splitButton2_MouseDown(object sender, MouseEventArgs e)
        {
            startcolor = Color.DarkGoldenrod;
            this.Invalidate();
        }

        private void splitButton2_MouseUp(object sender, MouseEventArgs e)
        {
            startcolor = Color.LightGreen;
            endcolor = Color.Green;
        }
	}
    public class CustomRenderer : ISplitButtonRenderer
    {
        private SplitButton splitButton;

        #region ISplitButtonRenderer Members



        public void DrawText(PaintEventArgs e, string text, Font font, Color color, int totalwidth, int totalheight, int splitwidth)
        {

            SolidBrush brush = new SolidBrush(color);
            StringFormat format = new StringFormat();
            format.Trimming = StringTrimming.EllipsisCharacter;
            format.LineAlignment = StringAlignment.Center;
            format.Alignment = StringAlignment.Center;
            Rectangle textArea = new Rectangle(7, 1, totalwidth - splitwidth, totalheight);
            e.Graphics.DrawString(text, font, brush, textArea, format);

            Rectangle imageRect = new Rectangle(4, 11, 15, totalheight - 24);
            Image img = Image.FromFile(@"../../logo_16.ico");
            e.Graphics.DrawImage(img, imageRect);
            brush.Dispose();
        }

        public void DrawBorder(PaintEventArgs e, int width, int height, int splitwidth, Color outerColor, Color innerColor, Color arrowOuter, Color arrowInner, Color buttonInner)
        {
            // Can Customize the Border Color of the SplitButton 
            // Outer Color is Changed 
            MainForm frm = new MainForm();
            Color color1 = frm.startcolor;
            Color color2 = frm.endcolor;
            Brush linearGradientBrush = new LinearGradientBrush(
                          new Rectangle(0, 0, width, height), color1, color2, 90);
            e.Graphics.FillRectangle(linearGradientBrush, new Rectangle(0, 0, width, height));
            linearGradientBrush.Dispose();
            Pen outercolor = new Pen(Color.DarkGreen);
            Pen innercolor = new Pen(Color.LightGreen);
            Pen arrowinner = new Pen(Color.LightGreen);
            Pen arrowouter = new Pen(arrowOuter);
            Pen buttoninner = new Pen(buttonInner);

            e.Graphics.DrawLine(innercolor, new Point(1, 1), new Point(width - 2, 1));
            e.Graphics.DrawLine(innercolor, new Point(width - 2, 1), new Point(width - 2, height - 2));
            e.Graphics.DrawLine(innercolor, new Point(1, height - 2), new Point(width - 2, height - 2));
            e.Graphics.DrawLine(innercolor, new Point(1, 1), new Point(1, height - 2));

            e.Graphics.DrawLine(arrowouter, new Point(width - splitwidth, 0), new Point(width - splitwidth, height - 1));

            e.Graphics.DrawLine(buttoninner, new Point(width - splitwidth - 1, 2), new Point(width - splitwidth - 1, height - 3));

            e.Graphics.DrawRectangle(arrowinner, width - splitwidth + 1, 1, splitwidth - 3, height - 3);

            e.Graphics.DrawLine(outercolor, new Point(1, 0), new Point(width - 2, 0));
            e.Graphics.DrawLine(outercolor, new Point(width - 2, 0), new Point(width - 2, 1));
            e.Graphics.DrawLine(outercolor, new Point(width - 1, 1), new Point(width - 1, height - 2));
            e.Graphics.DrawLine(outercolor, new Point(width - 2, height - 2), new Point(width - 2, height - 1));
            e.Graphics.DrawLine(outercolor, new Point(1, height - 1), new Point(width - 2, height - 1));
            e.Graphics.DrawLine(outercolor, new Point(1, height - 1), new Point(1, height - 2));
            e.Graphics.DrawLine(outercolor, new Point(0, 1), new Point(0, height - 2));
            e.Graphics.DrawLine(outercolor, new Point(1, 0), new Point(1, 1));


            buttoninner.Dispose();
            innercolor.Dispose();
            arrowinner.Dispose();
            arrowinner.Dispose();
            outercolor.Dispose();

        }

        public void DrawArrow(int left, int top, int width, int height, PaintEventArgs e, Color ArrowColor)
        {
            //Customize arrow as image
            Image arrowImage = Image.FromFile(@"../../arrow4.png");
            Rectangle imageRect = new Rectangle(left + 4, top + 14, width - 9, height - 28);
            e.Graphics.DrawImage(arrowImage, imageRect);

        }

        #endregion

        #region ISplitButtonRenderer Members

        public SplitButton SplitButton
        {
            get
            {
                return splitButton;
            }
            set
            {
                splitButton = value;
            }
        }

        #endregion
    }
}
